set default=0
set timeout=5

if [ x$feature_default_font_path = xy ] ; then
    font=unicode
else
    font=$prefix/unicode.pf2
fi

if loadfont $font ; then
    set gfxmode=1920x1080,1280x1024,auto
    set gfxpayload=keep
    insmod efi_gop
    insmod efi_uga
    insmod video_bochs
    insmod video_cirrus
else
    set gfxmode=auto
    insmod all_video
fi

insmod serial
serial --unit=0 --speed=115200 --word=8 --parity=no --stop=1

insmod gfxterm
insmod png

source /boot/grub/theme.cfg

terminal_input console serial
terminal_output gfxterm serial
